{% extends 'index.html' %}
{% load static %}

{% block header-css-nocompress %}
  {% if user.is_client %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.min.css" />
  {% endif %}
{% endblock %}

{% block title %} {{ html_title }} {% endblock title %}
{% block body %}
  {{ block.super }}
  <div class="right-bar">
    <div class="right-bar__overlay"></div>
    <div class="right-bar__box">
      <div class="right-bar__scroll">
        <div class="right-bar__content">
          <div class="filter">
            <form id="filter" class="form form_filter">
              <div class="fieldset fieldset_filter">
                <div class="fieldset__item field">
                  <label class="label label_default label_s">сортировка</label>
                  <div class="control control_default control_m">
                      <select v-select2="sortkey" v-model="sortkey">
                          <option value="-modified" selected="selected">по дате изменения</option>
                          <option value="-created">по дате создания</option>
                          {% if not recommended_car %}
                              <option value="-cost">по стоимости</option>
                              <option value="-year_auto__year">по году выпуска</option>
                              <option value="-horsepower">по мощности</option>
                              <option value="-engine_capacity">по объёму двигателя</option>
                          {% endif %}
                      </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">марка</label>
                  <div class="control control_default control_m">
                    <select id="mark_auto" v-select2="mark_auto" v-model="mark_auto">
                      <option value=""></option>
                      <option v-for="mark in filterValues.marks" :value="mark.id" :selected="mark_auto == mark.id">${ mark.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">модель</label>
                  <div class="control control_default control_m">
                    <select id="model_auto" v-select2="model_auto" v-model="model_auto">
                      <option value=""></option>
                      <option v-for="model in filterValues.models" v-if="model.mark == mark_auto" :value="model.id" :selected="model_auto == model.id">${ model.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">поколение</label>
                  <div class="control control_default control_m">
                    <select id="generation" v-select2="generation" v-model="generation">
                      <option value=""></option>
                      <option v-for="g in filterValues.generations" v-if="g.model == model_auto && model_auto.model != ''" :value="g.id" :selected="generation == g.id">${ g.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">год выпуска</label>
                  <div class="grid grid_2 grid_s">
                    <div class="control control_default control_m">
                      <select v-select2="year__gte" v-model="year__gte">
                        <option disabled="disabled" value="">от</option>
                        <option v-for="year in yearsRange.options0" :value="year">${ year }</option>
                      </select>
                    </div>
                    <div class="control control_default control_m">
                      <select v-select2="year__lte" v-model="year__lte">
                        <option disabled="disabled" value="">до</option>
                        <option v-for="year in yearsRange.options1" :value="year">${ year }</option>
                      </select>
                    </div>
                  </div>
                </div>
          {% if not recommended_car %}
                <div class="fieldset__item field">
                  <label class="label label_default label_s">пробег</label>
                  <div class="control control_default control_m">
                    <select v-select2="mileage__lt" v-model="mileage__lt">
                      <option disabled="disabled" value="">не более</option>
                      <option v-for="m in filterValues.mileage" :value="m">${ m }</option>
                      <option value="">любой</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">бюджет</label>
                  <div class="control control_default control_m">
                    <input v-model="cost__lte" type="text" placeholder="до"/>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">кузов</label>
                  <div class="control control_default control_m">
                    <select v-select2="body_type_auto" v-model="body_type_auto" multiple="multiple">
                      <option v-for="body_type in filterValues.body_types" :value="body_type.id">${ body_type.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">цвет</label>
                  <div class="control control_default control_m">
                    <select v-select2="color_auto" v-model="color_auto" multiple="multiple">
                      <option v-for="color in filterValues.colors" :value="color">${ color }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">комплектация</label>
                  <div class="control control_default control_m">
                    <input v-model="equipment" type="text"/>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">двигатель</label>
                  <div class="control control_default control_m">
                    <select v-select2="engine_type" v-model="engine_type" multiple="multiple">
                      <option v-for="engine in filterValues.engine_types" :value="engine.id">${ engine.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">объём, л.</label>
                  <div class="grid grid_2 grid_s">
                    <div class="control control_default control_m">
                      <select v-select2="engine_capacity__gte" v-model="engine_capacity__gte">
                        <option disabled="disabled" value="">от</option>
                        <option v-for="capacity in capacitiesRange.options0" :value="capacity">${ capacity }</option>
                      </select>
                    </div>
                    <div class="control control_default control_m">
                      <select v-select2="engine_capacity__lte" v-model="engine_capacity__lte">
                        <option disabled="disabled" value="">до</option>
                        <option v-for="capacity in capacitiesRange.options1" :value="capacity">${ capacity }</option>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">мощность, л.с.</label>
                  <div class="grid grid_2 grid_s">
                    <div class="control control_default control_m">
                      <select v-select2="horsepower__gte" v-model="horsepower__gte">
                        <option disabled="disabled" value="">от</option>
                        <option v-for="horsepower in horsepowersRange.options0" :value="horsepower">${ horsepower }</option>
                      </select>
                    </div>
                    <div class="control control_default control_m">
                      <select v-select2="horsepower__lte" v-model="horsepower__lte">
                        <option disabled="disabled" value="">до</option>
                        <option v-for="horsepower in horsepowersRange.options1" :value="horsepower">${ horsepower }</option>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">трансмиссия</label>
                  <div class="control control_default control_m">
                    <select v-select2="transmission_type" v-model="transmission_type" multiple="multiple">
                      <option v-for="t in filterValues.transmission_types" :value="t.id">${ t.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">привод</label>
                  <div class="control control_default control_m">
                    <select v-select2="drive_type" v-model="drive_type" multiple="multiple">
                      <option v-for="drive in filterValues.drive_types" :value="drive.id">${ drive.name }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">салон</label>
                  <div class="control control_default control_m">
                    <select v-select2="salon_auto" v-model="salon_auto" multiple="multiple">
                      <option v-for="salon in filterValues.salons_auto" :value="salon">${ salon }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">цвет салона</label>
                  <div class="control control_default control_m">
                    <select v-select2="color_salon" v-model="color_salon" multiple="multiple">
                      <option v-for="color in filterValues.colors_salon">${ color }</option>
                    </select>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="label label_default label_s">кол-во владельцев</label>
                  <div class="grid grid_2 grid_s">
                    <div class="control control_default control_m">
                      <select v-select2="owners__lte" v-model="owners__lte">
                        <option disabled="disabled" selected="selected">не более</option>
                        <option v-for="owner in filterValues.owners">${ owner }</option>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="fieldset__item field">
                  <label class="check check_m check_default">
                    <input type="checkbox" v-model="recommended">
                    <div class="check__icon">
                    </div>
                    <div class="check__content"><div class="check__title">рекомендован</div></div>
                  </label>
                </div>
          {% endif %}
                <div class="fieldset__item filter-btn__dest">
                  <button class="form__btn btn btn_default btn_s btn_block">
                    <div class="btn__grid">
                      <div class="btn__title">Сбросить фильтр</div>
                    </div>
                  </button>
                </div>
                <div class="filter-btn__mob">
                  <button class="filter-btn cancel">
                      сбросить
                  </button>
                  <div @click="closeFilter()" class="filter-btn success">
                      Готово
                  </div>
                </div>
              </div>
            </form>
            <script>
              $(document).ready(function () {
                  $('.filter select').select2({});
              });
            </script>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block page %}
<div id="cars" class="cars" v-cloak>
  <div class="section section_default">
    <div class="section__content">
      <div class="section__header header header_listing">
        <div class="header__main">
          <h1>{{ html_title }}<span class="section__count">${ count }</span></h1>
        </div>
        <div class="header__controls">
        {% if not request.user.is_client %}
          <div class="field">
            <div class="control control_default control_m select-seacrh" style="min-width: 280px">
                {% if recommended_car %}
                  <select  v-model="searchQuery" name="searchQuery" id="searchQuery" v-model="thing" v-select2="searchQuery">
                      <option value="">Все города</option>
                    {% for location  in locations %}
                      <option value="{{location}}">{{location}}</option>
                    {% endfor %}
                  </select>
                {% else %}
                    <input v-model="searchQuery" type="text">
                {% endif %}
              <div class="control__icon icon icon_24 icon_default" style="z-index: 1000;">
                <svg>
                  <use xlink:href="#icon_search_24"></use>
                </svg>
              </div>
            </div>
          </div>
        {% endif %}
          <div class="header__right-bar-toggle right-bar-toggle btn btn_m btn_white btn_square">
            <div class="btn__icon icon icon_24">
              <svg>
                <use xlink:href="#icon_filter_24"></use>
              </svg>
            </div>
            <div v-show="filterCount > 0" class="btn__count">${ filterCount }</div>
          </div>
        </div>
      </div>
        <div class="section__body">
{#  ===========================================================================================================  #}
        {% if recommended_car %}
            {% include 'auto/auto_list_recommended.html' %}
        {% else %}
            {% include 'auto/auto_list_checked_car.html' %}
        {% endif %}
{#  ===========================================================================================================  #}
           {% include 'paginator.html' %}
    </div>
    </div>
  </div>
</div>

{% if user.is_client %}
  {% include 'client/popups.html' %}
{% endif %}

{% endblock %}



{% block script %}
  {{ block.super }}
  <script>
    var store = {
      state: {
        filter: '',
        filterCount: 0
      }
    }
  </script>
  <script src="{% static 'js/autolist.bundle.js' %}"></script>
  <script src="{% static 'js/autofilter.bundle.js' %}"></script>
  {% if user.is_client %}
  <script src="{% static 'js/userclient.bundle.js' %}"></script>
  {% endif %}
{% endblock %}

{% block script-nocompress %}
  {% if user.is_client %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.1/jquery.fancybox.js"></script>
  {% endif %}
{% endblock %}